Skip to content
Start here

Rotate Zero Trust SSH account seed

client.zeroTrust.gateway.auditSSHSettings.rotateSeed(AuditSSHSettingRotateSeedParams { account_id } params, RequestOptionsoptions?): GatewaySettings { created_at, public_key, seed_id, updated_at }
POST/accounts/{account_id}/gateway/audit_ssh_settings/rotate_seed

Rotate the SSH account seed that generates the host key identity when connecting through the Cloudflare SSH Proxy.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params: AuditSSHSettingRotateSeedParams { account_id }
account_id: string
ReturnsExpand Collapse
GatewaySettings { created_at, public_key, seed_id, updated_at }
created_at?: string
formatdate-time
public_key?: string
seed_id?: string

Identify the seed ID.

maxLength36
updated_at?: string
formatdate-time

Rotate Zero Trust SSH account seed

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const gatewaySettings = await client.zeroTrust.gateway.auditSSHSettings.rotateSeed({
  account_id: '699d98642c564d2e855e9661899b7252',
});

console.log(gatewaySettings.seed_id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created_at": "2014-01-01T05:20:00.12345Z",
    "public_key": "1pyl6I1tL7xfJuFYVzXlUW8uXXlpxegHXBzGCBKaSFA=",
    "seed_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created_at": "2014-01-01T05:20:00.12345Z",
    "public_key": "1pyl6I1tL7xfJuFYVzXlUW8uXXlpxegHXBzGCBKaSFA=",
    "seed_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  }
}